# Update a SKU list

To [update](https://docs.commercelayer.io/core/updating-resources) an existing SKU list, send a `PATCH` request to the `/api/sku_lists/:id` endpoint, where `id` is the ID of the resource that you want to update.

Here below the list of all the possible arguments that you can pass with the request body.

## Request

**PATCH** <https://yourdomain.commercelayer.io/api/sku\\_lists/:id>

### Arguments

| Body Parameter                   | Type      | Required |
| -------------------------------- | --------- | -------- |
| **type**                         | `string`  | Required |
| **id**                           | `string`  | Required |
| attributes.**name**              | `string`  | Optional |
| attributes.**description**       | `string`  | Optional |
| attributes.**image\_url**        | `string`  | Optional |
| attributes.**manual**            | `boolean` | Optional |
| attributes.**sku\_code\_regex**  | `string`  | Optional |
| attributes.**reference**         | `string`  | Optional |
| attributes.**reference\_origin** | `string`  | Optional |
| attributes.**metadata**          | `object`  | Optional |
| relationships.**customer**       | `object`  | Optional |

### Example

{% tabs %}
{% tab title="Request" %}
The following request updates the SKU list identified by the ID "XAyRWNUzyN":

```shell
curl -g -X PATCH \
  'https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "sku_lists",
    "id": "xYZkjABcde",
    "attributes": {
      "description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
    },
    "relationships": {
      "customer": {
        "data": {
          "type": "customers",
          "id": "ABCRtyUpBa"
        }
      }
    }
  }
}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning the updated resource object:

```json
{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "sku_lists",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN"
    },
    "attributes": {
      "name": "Personal list",
      "slug": "personal-list-1",
      "description": "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
      "image_url": "https://img.yourdomain.com/skus/xYZkjABcde.png",
      "manual": false,
      "sku_code_regex": "^(A|B).*$",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "customer": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/customer",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/customer"
        }
      },
      "skus": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/skus",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/skus"
        }
      },
      "sku_list_items": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/sku_list_items",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/sku_list_items"
        }
      },
      "bundles": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/bundles",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/bundles"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/attachments"
        }
      },
      "links": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/links",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/links"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/sku_lists/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/sku_lists/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
